summaryrefslogtreecommitdiffstats
path: root/cleanlogs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cleanlogs.sh')
-rwxr-xr-xcleanlogs.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/cleanlogs.sh b/cleanlogs.sh
new file mode 100755
index 0000000..79bfee1
--- /dev/null
+++ b/cleanlogs.sh
@@ -0,0 +1,5 @@
+d1=$1
+d2=$2
+[ -n $1 -a -d ./$1 ] || exit 1
+[ -n $2 -a -d ./$2 ] || exit 1
+for d in $(sort $d1/status.core.log $d2/status.core.log | uniq -d | grep -v this_arch | cut -d: -f1); do rm -rf $d1/$d; ln -s ../$d2/$d $d1/$d; done